Skip to main content
Contact / Types

Update an existing contact type

This method requires the Contacts:Update permission to be associated with your role.

PUT
/fm/contact/types/{contact_type_id}
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
contact_type_idstringrequired

Contact type id to update

Maximum string length: 20
Pattern: ^[1-9]{1}[0-9]*$
Audit-User-Idstringheader

(Optional) User Id to use for audit purposes. This header requires the Audit:UserIdOverride permission to be associated with your role.

Maximum string length: 5
Pattern: ^[1-9]{1}[0-9]*$

Body

application/json

JSON Payload

descriptionstring
Example: Contact Type
report_typeenum<string>
Available options: periodic-lease, combined, recharge, recharge-fuel, pay-run, pay-run-reports
status_flagenum<string>default:active
Available options: active, inactive
Example: active

Response

application/vnd.catch-e-api.v1+json

Success

contact_type_idstring
Example: 1234567890123456789
descriptionstring
Example: Contact Type
report_typeenum<string>
Available options: periodic-lease, combined, recharge, recharge-fuel, pay-run, pay-run-reports
status_flagenum<string>
Available options: active, inactive
Example: active